Subject: Re: 25.0.93; Build Failure on OSX

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Mar 2017 19:04:20 +0200

> Cc: [email-masked], Lee B <[email-masked]>
> From: Paul Eggert <[email-masked]>
> Date: Fri, 10 Mar 2017 08:36:14 -0800
> 
> Just in case it's not clear already, the message "sed: -: No such file 
> or directory" comes from a portability bug in master's nt/Makefile.in. 
> Its line 'sed -f- ${srcdir}/../lib/gnulib.mk > $@-t && \' is not 
> portable, as POSIX says that -f's operand must be a file name, not '-'. 
> Presumably macOS 'sed' does not support the GNU extension where 'sed 
> -f-' reads stdin.

Yes, I know.  This started happening since generation of nt/gnulib.mk
was made mandatory on all platforms; before that this rule was only
used by a Windows build, which uses GNU Sed.